Skip to main content
GET
/
v1
/
engagements
/
{engagementId}
Read Engagement
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "organizationId": "<string>",
  "name": "<string>",
  "billingCode": "<string>",
  "libraryId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123
  },
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [
    "<string>"
  ],
  "emailSubscriptions": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

engagementId
string
required

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

organizationId
string

Identifies the organization.

name
string

The name of the engagement.

billingCode
string

A unique code that associates engagements and analyses with clients to ensure those clients are billed appropriately for MindBridge usage.

libraryId
string

Identifies the library.

accountingPeriod
Accounting Period · object

Details about the accounting period.

auditPeriodEndDate
string<date>

The last day of the occurring audit.

accountingPackage
string

The ERP or financial management system that your client is using.

industry
string

The type of industry that your client operates within.

engagementLeadId
string

Identifies the user who will lead the engagement.

reportingPeriodConfigurationId
string

Identifies the associated reporting period configuration. If null the analyses use a standard reporting period.

auditorIds
string[]

Identifies the users who will act as auditors in the engagement.

emailSubscriptions
object

Identifies the users who will receive email notifications related to this engagement.